POST api/NTMedicalRecodeRequest/SendFax

Request Information

URI Parameters

None.

Body Parameters

MRRFaxDTO
NameDescriptionTypeAdditional information
Id

integer

None.

MedicalRecordRequestId

integer

None.

ScheduleTime

date

None.

ScheduledDate

date

None.

CoverPageSubject

string

String length: inclusive between 0 and 200

CoverPageComments

string

String length: inclusive between 0 and 8000

CoverPageTemplateUrl

string

String length: inclusive between 0 and 500

ListFaxRecipient

Collection of FaxRecipientListDTO

None.

ListFaxAttachment

Collection of DocumentListDTO

None.

SenderEmailAddress

string

String length: inclusive between 0 and 256

SenderFaxNumber

string

String length: inclusive between 0 and 20

SenderName

string

String length: inclusive between 0 and 200

SenderPhoneNumber

string

String length: inclusive between 0 and 20

HasCoverPage

boolean

None.

IsCurrentScheduleTime

boolean

None.

Response

string

String length: inclusive between 0 and 8000

ResponseUniqId

string

String length: inclusive between 0 and 50

FaxQueueId

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "MedicalRecordRequestId": 2,
  "ScheduleTime": "2026-06-20T03:00:55.0803163-07:00",
  "ScheduledDate": "2026-06-20T03:00:55.0803163-07:00",
  "CoverPageSubject": "sample string 3",
  "CoverPageComments": "sample string 4",
  "CoverPageTemplateUrl": "sample string 5",
  "ListFaxRecipient": [
    {
      "FaxRecipientId": 1,
      "FaxNumber": "sample string 2",
      "RecipientName": "sample string 3",
      "RecipientPhoneNumber": "sample string 4",
      "FaxStatus": 5,
      "CountryCode": "sample string 6",
      "FaxQueueId": 1
    },
    {
      "FaxRecipientId": 1,
      "FaxNumber": "sample string 2",
      "RecipientName": "sample string 3",
      "RecipientPhoneNumber": "sample string 4",
      "FaxStatus": 5,
      "CountryCode": "sample string 6",
      "FaxQueueId": 1
    }
  ],
  "ListFaxAttachment": [
    {
      "FaxAttachmentId": 1,
      "Id": 2,
      "DocumentName": "sample string 3",
      "MedicalRecordRequestId": "sample string 4",
      "KeyName": "sample string 5",
      "ServiceUrl": "sample string 6",
      "BucketName": "sample string 7",
      "ContentByteArray": "QEA=",
      "AttachmentType": 1,
      "EncodedContent": "sample string 8",
      "FaxQueueId": 1,
      "RecordId": "sample string 9"
    },
    {
      "FaxAttachmentId": 1,
      "Id": 2,
      "DocumentName": "sample string 3",
      "MedicalRecordRequestId": "sample string 4",
      "KeyName": "sample string 5",
      "ServiceUrl": "sample string 6",
      "BucketName": "sample string 7",
      "ContentByteArray": "QEA=",
      "AttachmentType": 1,
      "EncodedContent": "sample string 8",
      "FaxQueueId": 1,
      "RecordId": "sample string 9"
    }
  ],
  "SenderEmailAddress": "sample string 6",
  "SenderFaxNumber": "sample string 7",
  "SenderName": "sample string 8",
  "SenderPhoneNumber": "sample string 9",
  "HasCoverPage": true,
  "IsCurrentScheduleTime": true,
  "Response": "sample string 12",
  "ResponseUniqId": "sample string 13",
  "FaxQueueId": 14
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfMRRFaxDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

MRRFaxDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "MedicalRecordRequestId": 2,
    "ScheduleTime": "2026-06-20T03:00:55.1115394-07:00",
    "ScheduledDate": "2026-06-20T03:00:55.1115394-07:00",
    "CoverPageSubject": "sample string 3",
    "CoverPageComments": "sample string 4",
    "CoverPageTemplateUrl": "sample string 5",
    "ListFaxRecipient": [
      {
        "FaxRecipientId": 1,
        "FaxNumber": "sample string 2",
        "RecipientName": "sample string 3",
        "RecipientPhoneNumber": "sample string 4",
        "FaxStatus": 5,
        "CountryCode": "sample string 6",
        "FaxQueueId": 1
      },
      {
        "FaxRecipientId": 1,
        "FaxNumber": "sample string 2",
        "RecipientName": "sample string 3",
        "RecipientPhoneNumber": "sample string 4",
        "FaxStatus": 5,
        "CountryCode": "sample string 6",
        "FaxQueueId": 1
      }
    ],
    "ListFaxAttachment": [
      {
        "FaxAttachmentId": 1,
        "Id": 2,
        "DocumentName": "sample string 3",
        "MedicalRecordRequestId": "sample string 4",
        "KeyName": "sample string 5",
        "ServiceUrl": "sample string 6",
        "BucketName": "sample string 7",
        "ContentByteArray": "QEA=",
        "AttachmentType": 1,
        "EncodedContent": "sample string 8",
        "FaxQueueId": 1,
        "RecordId": "sample string 9"
      },
      {
        "FaxAttachmentId": 1,
        "Id": 2,
        "DocumentName": "sample string 3",
        "MedicalRecordRequestId": "sample string 4",
        "KeyName": "sample string 5",
        "ServiceUrl": "sample string 6",
        "BucketName": "sample string 7",
        "ContentByteArray": "QEA=",
        "AttachmentType": 1,
        "EncodedContent": "sample string 8",
        "FaxQueueId": 1,
        "RecordId": "sample string 9"
      }
    ],
    "SenderEmailAddress": "sample string 6",
    "SenderFaxNumber": "sample string 7",
    "SenderName": "sample string 8",
    "SenderPhoneNumber": "sample string 9",
    "HasCoverPage": true,
    "IsCurrentScheduleTime": true,
    "Response": "sample string 12",
    "ResponseUniqId": "sample string 13",
    "FaxQueueId": 14
  },
  "totalCount": 3
}